> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update scheduled campaign



## OpenAPI

````yaml put /campaigns/update-schedule-campaign
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /campaigns/update-schedule-campaign:
    put:
      tags:
        - campaigns
      summary: Update scheduled campaign
      operationId: CampaignsController_updateScheduleCampaign
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCampaignDto'
      responses:
        '200':
          description: Scheduled campaign updated successfully
      security:
        - apiKey: []
components:
  schemas:
    UpdateCampaignDto:
      type: object
      properties:
        campaignId:
          type: number
          description: Campaign ID
        agentId:
          type: number
          description: Agent ID
        selectedTag:
          type: string
          description: Selected tag
        addTag:
          type: string
          description: Add tag
        campaignName:
          type: string
          description: Campaign name
        startCall:
          format: date-time
          type: string
          description: Start call time
        endCall:
          format: date-time
          type: string
          description: End call time
        batchQuantity:
          type: number
          description: Batch quantity
        repeatAfter:
          type: number
          description: Repeat after
        active:
          type: boolean
          description: Campaign active status
        workingHours:
          type: object
          description: Working hours configuration
        disposition:
          type: object
          description: Disposition configuration
        maxLimit:
          type: number
          description: Max limit
        limitCallback:
          type: number
          description: Number limit callback
        agentName:
          type: string
          description: Agent name
        isGhl:
          type: boolean
          description: GHL campaign
        campaign_name:
          type: string
          description: Campaign name
        selected_tag:
          type: string
          description: Selected tag
        add_tag:
          type: string
          description: Add tag
        limit_callback:
          type: number
          description: Number limit callback
        agent_name:
          type: string
          description: Agent name
      required:
        - campaignId
        - agentId
        - selectedTag
        - addTag
        - campaignName
        - startCall
        - endCall
        - batchQuantity
        - repeatAfter
        - active
        - workingHours
        - disposition
        - maxLimit
        - limitCallback
        - agentName
        - isGhl
        - campaign_name
        - selected_tag
        - add_tag
        - limit_callback
        - agent_name
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````